---------------------------------------------------------------------
--  PhaseX - Copyright 2015 Ranfan@Blackrock-EU (candy@taomi.net)  --
-- All rights reserved. Unauthorized redistribution is prohibited. --
---------------------------------------------------------------------

PhaseX_Config = {}

local config = PhaseX_Config

-- Default configuration values

-- Show the bar only during boss encounters (otherwise show it during all fights for the current target)
config.BossFightsOnly = true

-- Size of the bar
config.BarHeight = 24
config.BarWidth = 600

-- Position of the bar, based from the top center location of the screen
config.BarOffsetX = 0
config.BarOffsetY = -80
config.BarPoint = "TOP"
config.BarRelativePoint = "TOP"

-- Bar textures (flat desgin)
config.BackgroundTexture = [[Interface\AddOns\PhaseX\Media\flat.tga]]
config.BarTexture = [[Interface\AddOns\PhaseX\Media\flat.tga]]

-- Text options
config.TextFont = "Fonts\\FRIZQT__.TTF"
config.TextSize = 15
config.TextFlags = "THINOUTLINE"

-- Update interval in seconds
config.UpdateInterval = 0.1

-- Bar color for different phases, first entry is background color
config.PhaseColors = {			
	{0, 0, 0, 0.25},			-- Black with alpha
	{.75, 0, 0},				-- Red (last phase)
	{1, .5, 0},					-- Orange
	{1, .85, 0},				-- Yellow
	{.1, .75, .1},				-- Green
	{.25, .4, .9},				-- Blue
	{.25, 0, .5},				-- Indigo
	{.5, 0, .75}				-- Violet
}